phone_t Struct Reference

Triphone information, including base phones as a subset. More...

`#include <mdef.h>`

## Data Fields

int32 | ssid
| State sequence (or senone sequence) ID, considering the n_emit_state senone-ids are a unit. More...
int32 | tmat
| Transition matrix id.
int16 | ci
int16 | lc
int16 | rc
| Base, left, right context ciphones.
word_posn_t | wpos
| Word position.

## Detailed Description

Triphone information, including base phones as a subset.

For the latter, lc, rc and wpos are non-existent.

Definition at line 97 of file mdef.h.

## Field Documentation

int32 phone_t::ssid

State sequence (or senone sequence) ID, considering the n_emit_state senone-ids are a unit.

The senone sequences themselves are in a separate table

Definition at line 98 of file mdef.h.

Referenced by bin_mdef_read_text(), and mdef_is_cisenone().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/mdef.h